View Single Post
Old 08-23-04, 08:02 AM   #13
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: nvidia.ko problems in kernel 2.6.7

@agri: nvidia-installer defaults to cc, but respects the CC environment variable. The Makefiles themselves default to gcc (as does the kernel).

@Ernest0x: the Linux 2.6 module loader is stricter than the NVIDIA installer with respect to compiler versions: while the former accepts minor version differences, the latter doesn't. The NVIDIA installer used to be stricter, which resulted in numerous problems with distributions that shipped Linux 2.4 kernels built with a different compiler than the one included as the system compiler; the combination of gcc 3.2 and 3.3 is technically legal.
zander is offline   Reply With Quote